Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.mux
Interface MuxStreamHandler

All Known Implementing Classes:
  SampleMuxHandler

public abstract interface MuxStreamHandler

Method Summary
`boolean` | `acceptSession(MuxStream stream, int sessid, int protid)` Someone has contacted us to speak that protocol, what should we do ? This method gets called by a MuxStream instance when a new session willing to speak some protocol is about to be established.
`void` | `notifySession(MuxSession session)` A new session has been accepted, and is now ready to run.

Method Detail

### acceptSession

    public boolean acceptSession(MuxStream stream,
                                 int sessid,
                                 int protid)

  Someone has contacted us to speak that protocol, what should we do ? This method gets called by a MuxStream instance when a new session willing to speak some protocol is about to be established.
  Parameters:
    `stream` - The stream on which that new session establishment was received.
    `sessid` - The proposed session identifier for that new session.
    `protid` - The protocol identifier of the protocol to be spoken on that session.

### notifySession

    public void notifySession(MuxSession session)

  A new session has been accepted, and is now ready to run. This method should setup an appropriate protocol handler to deal with the protocol specific to the given session.
  Parameters:
    `session` - The session that has been accepted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD